# Use an official Python 3.7 runtime with alpine Linux
FROM python:3.7-alpine

# Install required packages
RUN pip3 install pyyaml aiormq

# Set the working directory to /udpipe
WORKDIR /udpipe

# Copy the required files to /udpipe
COPY udpipe_elg_adapter.py /udpipe
COPY udpipe_elg_rabbitmq_server.py /udpipe

# When debugging, create mq.yaml with RabbitMQ configuration
# COPY mq.yaml /etc/elg/mq.yaml

# Run the server when the container launches
CMD ["/usr/bin/env", "python3", "/udpipe/udpipe_elg_rabbitmq_server.py", "--host=localhost", "--port=8001", "--model=UDPIPE_MODEL"]
